Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

Retrieves the list of existing labware

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/labware' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of existing labware

Bodyapplication/jsonArray [
idinteger(int32)read-only

The database id

namestring or nullread-only

The labware reference name

containerNamestring or nullread-only

The labware reference name for the container if applicable (for troughs and tube racks)

rowsinteger(int32)

The number of rows

columnsinteger(int32)

The number of columns

volumenumber(double)

A volume value for the labware

displayNamestring or null

The display name

imageExtensionstring or null

The preview image file type (.png, .jpg, etc...)

imageDatastring or null(byte)

The preview image file data

partNumbersstring or null

The part number(s) for the labware

categoriesArray of objects or null(LabwareCategoryDto)

The categories assigned to the labware

classificationstring or null

The classificaton it is part of. Possible values are: Empty, Unknown, Plate, SampleTube, TubeRack, Trough, TipRack, Carrier, MicroTubeRack, MicroTube, Container, Magnet, VirtualTubeRack, Assembly, Lid, LidCarrier

siteAlignmentsArray of strings or null

The site alignment names

isFavoriteboolean

Whether or not the labware is a user favorite

partsArray of objects or null(AssemblyPartSummaryDto)

The labware parts that make up the assembly (only applicable for assembly classification

]
Response
application/json
[ { "id": 0, "name": "string", "containerName": "string", "rows": 0, "columns": 0, "volume": 0.1, "displayName": "string", "imageExtension": "string", "imageData": "string", "partNumbers": "string", "categories": [], "classification": "string", "siteAlignments": [], "isFavorite": true, "parts": [] } ]

Retrieves the labware by id

Request

Security
Bearer
Path
idinteger(int32)required

The id of the labware to retrieve

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/labware/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The labware

Bodyapplication/json
idinteger(int32)read-only

The database id

namestring or nullread-only

The labware reference name

containerNamestring or nullread-only

The labware reference name for the container if applicable (for troughs and tube racks)

rowsinteger(int32)

The number of rows

columnsinteger(int32)

The number of columns

volumenumber(double)

A volume value for the labware

displayNamestring or null

The display name

partNumbersstring or null

The part number(s) for the labware

categoriesArray of objects or null(LabwareCategoryDto)

The categories assigned to the labware

classificationstring or null

The classificaton it is part of. Possible values are: Empty, Unknown, Plate, SampleTube, TubeRack, Trough, TipRack, Carrier, MicroTubeRack, MicroTube, Container, Magnet, VirtualTubeRack, Lid, Assembly, LidCarrier

siteAlignmentsArray of strings or null

The site alignment names

isFavoriteboolean

Whether or not the labware is a user favorite

partsArray of objects or null(AssemblyPartDto)

The labware parts that make up the assembly (only applicable for assembly classification

Response
application/json
{ "id": 0, "name": "string", "containerName": "string", "rows": 0, "columns": 0, "volume": 0.1, "displayName": "string", "partNumbers": "string", "categories": [ {} ], "classification": "string", "siteAlignments": [ "string" ], "isFavorite": true, "parts": [ {} ] }

Deletes the labware from the database

Request

Security
Bearer
Path
idinteger(int32)required
curl -i -X DELETE \
  'http://{{your_prep_ip_address}}/api/v1/labware/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Response
No content

/api/v1/labware/properties/classifications

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/labware/properties/classifications' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Retrieves the labware by name

Request

Security
Bearer
Path
namestringrequired

The name of the labware to retrieve

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/labware/by-name/{name}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The labware

Bodyapplication/json
idinteger(int32)read-only

The database id

namestring or nullread-only

The labware reference name

containerNamestring or nullread-only

The labware reference name for the container if applicable (for troughs and tube racks)

rowsinteger(int32)

The number of rows

columnsinteger(int32)

The number of columns

volumenumber(double)

A volume value for the labware

displayNamestring or null

The display name

partNumbersstring or null

The part number(s) for the labware

categoriesArray of objects or null(LabwareCategoryDto)

The categories assigned to the labware

classificationstring or null

The classificaton it is part of. Possible values are: Empty, Unknown, Plate, SampleTube, TubeRack, Trough, TipRack, Carrier, MicroTubeRack, MicroTube, Container, Magnet, VirtualTubeRack, Lid, Assembly, LidCarrier

siteAlignmentsArray of strings or null

The site alignment names

isFavoriteboolean

Whether or not the labware is a user favorite

partsArray of objects or null(AssemblyPartDto)

The labware parts that make up the assembly (only applicable for assembly classification

Response
application/json
{ "id": 0, "name": "string", "containerName": "string", "rows": 0, "columns": 0, "volume": 0.1, "displayName": "string", "partNumbers": "string", "categories": [ {} ], "classification": "string", "siteAlignments": [ "string" ], "isFavorite": true, "parts": [ {} ] }

Export the labware with the given id

Request

Packages up the labware data into a zip file that can be imported into other systems

Security
Bearer
Path
labwareIdinteger(int32)required

The id of the labware to export

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/labware/export/{labwareId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The labware zip file

Bodyapplication/json
string(binary)
Response
application/json
"string"

Export the entire labware catalog

Request

Packages up all the labware data into a catalog zip file that can be imported into other systems

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/labware/export' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The labware zip file

Bodyapplication/json
string(binary)
Response
application/json
"string"

Checks to see if the system contains the labware to be imported

Request

This is a way to check a labware import file without actually importing a file.

Security
Bearer
Bodymultipart/form-data
FilesArray of strings(binary)

The file(s)

OverwriteAllboolean

Whether or not existing files should be overwritten

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/labware/find-existing-imports' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: multipart/form-data' \
  -F Files=string \
  -F OverwriteAll=true

Responses

The validation results of checking the labware import file

Bodyapplication/jsonArray [
namestring or null
viewNamestring or null
typestring or null
lastModifiedDateTimeOfExistingstring(date-time)
lastModifiedDateTimeOfImportstring(date-time)
]
Response
application/json
[ { "name": "string", "viewName": "string", "type": "string", "lastModifiedDateTimeOfExisting": "2019-08-24T14:15:22Z", "lastModifiedDateTimeOfImport": "2019-08-24T14:15:22Z" } ]

Sets or unsets the favorite status of a given labware

Request

Security
Bearer
Body
idinteger(int32)

The id of the labware to set the favorite flag

isFavoriteboolean

The favorite flag value

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/labware/favorite' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "id": 0,
    "isFavorite": true
  }'

Responses

Success

Response
No content

Imports the labware file

Request

Security
Bearer
Path
ignoreLabwareDefinitionFilesboolean

Option on whether or not to ignore the underlying labware definition files

Default false
Bodymultipart/form-data
FilesArray of strings(binary)

The file(s)

OverwriteAllboolean

Whether or not existing files should be overwritten

FilesToOverwritestring

Specify which files should be overwritten

ZipFileProtocolEntrystring

The zip file for the protocol

NewProtocolNamestring

The new name for the protocol if a protocol with the same name exists

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/labware/import/{ignoreLabwareDefinitionFiles}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: multipart/form-data' \
  -F Files=string \
  -F OverwriteAll=true \
  -F FilesToOverwrite=string \
  -F ZipFileProtocolEntry=string \
  -F NewProtocolName=string

Responses

The validation results of importing the file

Bodyapplication/jsonArray [
namestring or null
resultstring or null
]
Response
application/json
[ { "name": "string", "result": "string" } ]

Restores the entire catalog to the initial default labware catalog

Request

Performing this action will remove all labware and restore the catalog back to its initial state

Security
Bearer
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/labware/restore-catalog' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The validation results of importing the file

Bodyapplication/jsonArray [
namestring or null
resultstring or null
]
Response
application/json
[ { "name": "string", "result": "string" } ]

Retrieve the thumbnail preview images for the given labware

Request

Security
Bearer
Path
labwareIdinteger(int32)required

The id of the labware

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/labware/images/{labwareId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The thumbnail preview image of the labware

Bodyapplication/json
string(binary)
Response
application/json
"string"

Retrieve container information for the given labware.

Request

Security
Bearer
Path
labwareDocumentNamestringrequired

The labware document name

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/labware/properties-container/{labwareDocumentName}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The labware container basic information,

Bodyapplication/json
isCircleboolean

True if the container is round.

radiusnumber(double)

The container radius.

Response
application/json
{ "isCircle": true, "radius": 0.1 }

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations